
From: Olaf Hering <olh@suse.de>

use new Kconfig.hz on ppc/ppc64, use also Kconfig.preempt for ppc

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/Kconfig   |   12 ++----------
 arch/ppc64/Kconfig |    1 +
 2 files changed, 3 insertions(+), 10 deletions(-)

diff -puN arch/ppc64/Kconfig~ppc-ppc64-use-kconfighz arch/ppc64/Kconfig
--- 25/arch/ppc64/Kconfig~ppc-ppc64-use-kconfighz	Wed Jul 13 14:13:32 2005
+++ 25-akpm/arch/ppc64/Kconfig	Wed Jul 13 14:13:32 2005
@@ -288,6 +288,7 @@ config SCHED_SMT
 	  overhead in some places. If unsure say N here.
 
 source "kernel/Kconfig.preempt"
+source kernel/Kconfig.hz
 
 config EEH
 	bool "PCI Extended Error Handling (EEH)" if EMBEDDED
diff -puN arch/ppc/Kconfig~ppc-ppc64-use-kconfighz arch/ppc/Kconfig
--- 25/arch/ppc/Kconfig~ppc-ppc64-use-kconfighz	Wed Jul 13 14:13:32 2005
+++ 25-akpm/arch/ppc/Kconfig	Wed Jul 13 14:13:32 2005
@@ -935,19 +935,11 @@ config NR_CPUS
 	depends on SMP
 	default "4"
 
-config PREEMPT
-	bool "Preemptible Kernel"
-	help
-	  This option reduces the latency of the kernel when reacting to
-	  real-time or interactive events by allowing a low priority process to
-	  be preempted even if it is in kernel mode executing a system call.
-
-	  Say Y here if you are building a kernel for a desktop, embedded
-	  or real-time system.  Say N if you are unsure.
-
 config HIGHMEM
 	bool "High memory support"
 
+source kernel/Kconfig.hz
+source kernel/Kconfig.preempt
 source "mm/Kconfig"
 
 source "fs/Kconfig.binfmt"
_
